:root
  --link-item-icon-size 32px

.link-item
  position relative
  padding-left 46px
  for icon in dialogue pencil info
    &--{icon}
      --before-mask-image maskImage(icon, common)
  &--pencil
    --link-item-icon-size 24px
  +before()
    position absolute
    inset 0
    display block
    width var(--link-item-icon-size)
    height var(--link-item-icon-size)
    mask-image var(--before-mask-image)
    mask-repeat no-repeat
    mask-position center
    mask-size contain
    background-color var(--color-mark)
  &__header
    display flex
    column-gap 12px
    margin-bottom 10px
